Index: /trunk/admin/album_notification.php
===================================================================
--- /trunk/admin/album_notification.php	(revision 25017)
+++ /trunk/admin/album_notification.php	(revision 25018)
@@ -114,11 +114,5 @@
   list($group_name) = pwg_db_fetch_row(pwg_query($query));
 
-  array_push(
-    $page['infos'],
-    l10n(
-      'An information email was sent to group "%s"',
-      $group_name
-      )
-    );
+  $page['infos'][] = l10n('An information email was sent to group "%s"', $group_name);
 }
 
Index: /trunk/admin/batch_manager.php
===================================================================
--- /trunk/admin/batch_manager.php	(revision 25017)
+++ /trunk/admin/batch_manager.php	(revision 25018)
@@ -178,8 +178,5 @@
   WHERE user_id = '.$user['id'].'
 ;';
-    array_push(
-      $filter_sets,
-      array_from_query($query, 'element_id')
-      );
+    $filter_sets[] = array_from_query($query, 'element_id');
     
     break;
@@ -191,8 +188,5 @@
   WHERE user_id = '.$user['id'].'
 ;';
-    array_push(
-      $filter_sets,
-      array_from_query($query, 'image_id')
-      );
+    $filter_sets[] = array_from_query($query, 'image_id');
     
     break;
@@ -211,8 +205,5 @@
   WHERE date_available BETWEEN '.pwg_db_get_recent_period_expression(1, $row['date']).' AND \''.$row['date'].'\'
 ;';
-      array_push(
-        $filter_sets,
-        array_from_query($query, 'id')
-        );
+      $filter_sets[] = array_from_query($query, 'id');
     }
     
@@ -243,8 +234,5 @@
     }
 
-    array_push(
-      $filter_sets,
-      array_diff($all_elements, $linked_to_virtual)
-      );
+    $filter_sets[] = array_diff($all_elements, $linked_to_virtual);
     
     break;
@@ -258,8 +246,5 @@
   WHERE category_id is null
 ;';
-    array_push(
-      $filter_sets,
-      array_from_query($query, 'id')
-      );
+    $filter_sets[] = array_from_query($query, 'id');
     
     break;
@@ -273,8 +258,5 @@
   WHERE tag_id is null
 ;';
-    array_push(
-      $filter_sets,
-      array_from_query($query, 'id')
-      );
+    $filter_sets[] = array_from_query($query, 'id');
     
     break;
@@ -298,9 +280,5 @@
   WHERE file IN (\''.implode("','", $duplicate_files).'\')
 ;';
-
-    array_push(
-      $filter_sets,
-      array_from_query($query, 'id')
-      );
+    $filter_sets[] = array_from_query($query, 'id');
     
     break;
@@ -338,8 +316,5 @@
    WHERE category_id IN ('.implode(',', $categories).')
  ;';
-  array_push(
-    $filter_sets,
-    array_from_query($query, 'image_id')
-    );
+  $filter_sets[] = array_from_query($query, 'image_id');
 }
 
@@ -363,13 +338,10 @@
 if (!empty($_SESSION['bulk_manager_filter']['tags']))
 {
-  array_push(
-    $filter_sets,
-    get_image_ids_for_tags(
-      $_SESSION['bulk_manager_filter']['tags'],
-      $_SESSION['bulk_manager_filter']['tag_mode'],
-      null,
-      null,
-      false // we don't apply permissions in administration screens
-      )
+  $filter_sets[] = get_image_ids_for_tags(
+    $_SESSION['bulk_manager_filter']['tags'],
+    $_SESSION['bulk_manager_filter']['tag_mode'],
+    null,
+    null,
+    false // we don't apply permissions in administration screens
     );
 }
Index: /trunk/admin/batch_manager_global.php
===================================================================
--- /trunk/admin/batch_manager_global.php	(revision 25017)
+++ /trunk/admin/batch_manager_global.php	(revision 25018)
@@ -83,5 +83,5 @@
   if (count($collection) == 0)
   {
-    array_push($page['errors'], l10n('Select at least one photo'));
+    $page['errors'][] = l10n('Select at least one photo');
   }
 
@@ -106,5 +106,5 @@
     if (empty($_POST['add_tags']))
     {
-      array_push($page['errors'], l10n('Select at least one tag'));
+      $page['errors'][] = l10n('Select at least one tag');
     }
     else
@@ -134,5 +134,5 @@
      else
      {
-      array_push($page['errors'], l10n('Select at least one tag'));
+      $page['errors'][] = l10n('Select at least one tag');
      }
   }
@@ -242,10 +242,7 @@
     foreach ($collection as $image_id)
     {
-      array_push(
-        $datas,
-        array(
-          'id' => $image_id,
-          'author' => $_POST['author']
-          )
+      $datas[] = array(
+        'id' => $image_id,
+        'author' => $_POST['author']
         );
     }
@@ -269,10 +266,7 @@
     foreach ($collection as $image_id)
     {
-      array_push(
-        $datas,
-        array(
-          'id' => $image_id,
-          'name' => $_POST['title']
-          )
+      $datas[] = array(
+        'id' => $image_id,
+        'name' => $_POST['title']
         );
     }
@@ -303,10 +297,7 @@
     foreach ($collection as $image_id)
     {
-      array_push(
-        $datas,
-        array(
-          'id' => $image_id,
-          'date_creation' => $date_creation
-          )
+      $datas[] = array(
+        'id' => $image_id,
+        'date_creation' => $date_creation
         );
     }
@@ -325,10 +316,7 @@
     foreach ($collection as $image_id)
     {
-      array_push(
-        $datas,
-        array(
-          'id' => $image_id,
-          'level' => $_POST['level']
-          )
+      $datas[] = array(
+        'id' => $image_id,
+        'level' => $_POST['level']
         );
     }
@@ -363,13 +351,7 @@
       if ($deleted_count > 0)
       {
-        $_SESSION['page_infos'] = array(
-          sprintf(
-            l10n_dec(
-              '%d photo was deleted',
-              '%d photos were deleted',
-              $deleted_count
-              ),
-            $deleted_count
-            )
+        $_SESSION['page_infos'][] = l10n_dec(
+          '%d photo was deleted', '%d photos were deleted',
+          $deleted_count
           );
 
@@ -379,10 +361,10 @@
       else
       {
-        array_push($page['errors'], l10n('No photo can be deleted'));
+        $page['errors'][] = l10n('No photo can be deleted');
       }
     }
     else
     {
-      array_push($page['errors'], l10n('You need to confirm deletion'));
+      $page['errors'][] = l10n('You need to confirm deletion');
     }
   }
@@ -392,9 +374,5 @@
   {
     sync_metadata($collection);
-
-    array_push(
-      $page['infos'],
-      l10n('Metadata synchronized from file')
-      );
+    $page['infos'][] = l10n('Metadata synchronized from file');
   }
 
@@ -416,9 +394,11 @@
   {
     if ($_POST['regenerateSuccess'] != '0')
-      array_push($page['infos'], l10n('%s photos have been regenerated', $_POST['regenerateSuccess']));
-
+    {
+      $page['infos'][] = l10n('%s photos have been regenerated', $_POST['regenerateSuccess']);
+    }
     if ($_POST['regenerateError'] != '0')
-      array_push($page['warnings'], l10n('%s photos can not be regenerated', $_POST['regenerateError']));
-
+    {
+      $page['warnings'][] = l10n('%s photos can not be regenerated', $_POST['regenerateError']);
+    }
   }
 
@@ -445,7 +425,5 @@
 if ($conf['enable_synchronization'])
 {
-  array_push($prefilters,
-    array('ID' => 'no_virtual_album', 'NAME' => l10n('With no virtual album'))
-  );
+  $prefilters[] = array('ID' => 'no_virtual_album', 'NAME' => l10n('With no virtual album'));
 }
 
Index: /trunk/admin/batch_manager_unit.php
===================================================================
--- /trunk/admin/batch_manager_unit.php	(revision 25017)
+++ /trunk/admin/batch_manager_unit.php	(revision 25018)
@@ -104,5 +104,5 @@
     }
 
-    array_push($datas, $data);
+    $datas[] = $data;
 
     // tags management
@@ -124,5 +124,5 @@
     );
 
-  array_push($page['infos'], l10n('Photo informations updated'));
+  $page['infos'][] = l10n('Photo informations updated');
 }
 
@@ -233,5 +233,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($element_ids, $row['id']);
+    $element_ids[] = $row['id'];
 
     $src_image = new SrcImage($row);
Index: /trunk/admin/cat_list.php
===================================================================
--- /trunk/admin/cat_list.php	(revision 25017)
+++ /trunk/admin/cat_list.php	(revision 25018)
@@ -79,5 +79,5 @@
     }
     
-    array_push($datas, array('id' => $id, 'rank' => $current_rank));
+    $datas[] = array('id' => $id, 'rank' => $current_rank);
   }
   $fields = array('primary' => array('id'), 'update' => array('rank'));
@@ -134,9 +134,9 @@
   if (isset($output_create['error']))
   {
-    array_push($page['errors'], $output_create['error']);
+    $page['errors'][] = $output_create['error'];
   }
   else
   {
-    array_push($page['infos'], $output_create['info']);
+    $page['infos'][] = $output_create['info'];
   }
 }
@@ -147,8 +147,5 @@
   save_categories_order(array_keys($_POST['catOrd']));
 
-  array_push(
-    $page['infos'],
-    l10n('Album manual order was saved')
-    );
+  $page['infos'][] = l10n('Album manual order was saved');
 }
 else if (isset($_POST['submitAutoOrder']))
@@ -179,15 +176,9 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push(
-      $categories,
-      array(
-        'id' => $row['id'],
-        'id_uppercat' => $row['id_uppercat'],
-        )
+    $categories[] = array(
+      'id' => $row['id'],
+      'id_uppercat' => $row['id_uppercat'],
       );
-    array_push(
-      $names,
-      $row['name']
-      );
+    $names[] = $row['name'];
   }
 
@@ -200,8 +191,5 @@
   save_categories_order($categories);
 
-  array_push(
-    $page['infos'],
-    l10n('Albums automatically sorted')
-    );
+  $page['infos'][] = l10n('Albums automatically sorted');
 }
 
Index: /trunk/admin/cat_move.php
===================================================================
--- /trunk/admin/cat_move.php	(revision 25017)
+++ /trunk/admin/cat_move.php	(revision 25018)
@@ -52,8 +52,5 @@
   else
   {
-    array_push(
-      $page['errors'],
-      l10n('Select at least one album')
-      );
+    $page['errors'][] = l10n('Select at least one album');
   }
 }
Index: /trunk/admin/cat_perm.php
===================================================================
--- /trunk/admin/cat_perm.php	(revision 25017)
+++ /trunk/admin/cat_perm.php	(revision 25018)
@@ -126,5 +126,5 @@
       while ($row = pwg_db_fetch_assoc($result))
       {
-        array_push($granteds[$row['cat_id']], $row['group_id']);
+        $granteds[ $row['cat_id'] ][] = $row['group_id'];
       }
 
@@ -136,10 +136,7 @@
         foreach ($group_ids as $group_id)
         {
-          array_push(
-            $inserts,
-            array(
-              'group_id' => $group_id,
-              'cat_id' => $cat_id
-              )
+          $inserts[] = array(
+            'group_id' => $group_id,
+            'cat_id' => $cat_id
             );
         }
@@ -191,5 +188,5 @@
   }
 
-  array_push($page['infos'], l10n('Album updated successfully'));
+  $page['infos'][] = l10n('Album updated successfully');
 }
 
@@ -273,9 +270,9 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    if (!isset($granted_groups[$row['group_id']]))
-    {
-      $granted_groups[$row['group_id']] = array();
-    }
-    array_push($granted_groups[$row['group_id']], $row['user_id']);
+    if (!isset($granted_groups[ $row['group_id'] ]))
+    {
+      $granted_groups[ $row['group_id'] ] = array();
+    }
+    $granted_groups[ $row['group_id'] ][] = $row['user_id'];
   }
 
@@ -303,5 +300,5 @@
       if (in_array($user_id, $user_granted_indirect_ids))
       {
-        array_push($group_usernames, $users[$user_id]);
+        $group_usernames[] = $users[$user_id];
       }
     }
Index: /trunk/admin/comments.php
===================================================================
--- /trunk/admin/comments.php	(revision 25017)
+++ /trunk/admin/comments.php	(revision 25018)
@@ -42,8 +42,5 @@
   if (empty($_POST['comments']))
   {
-    array_push(
-      $page['errors'],
-      l10n('Select at least one comment')
-      );
+    $page['errors'][] = l10n('Select at least one comment');
   }
   else
@@ -56,10 +53,7 @@
       validate_user_comment($_POST['comments']);
 
-      array_push(
-        $page['infos'],
-        l10n_dec(
-          '%d user comment validated', '%d user comments validated',
-          count($_POST['comments'])
-          )
+      $page['infos'][] = l10n_dec(
+        '%d user comment validated', '%d user comments validated',
+        count($_POST['comments'])
         );
     }
@@ -69,10 +63,7 @@
       delete_user_comment($_POST['comments']);
 
-      array_push(
-        $page['infos'],
-        l10n_dec(
-          '%d user comment rejected', '%d user comments rejected',
-          count($_POST['comments'])
-          )
+      $page['infos'][] = l10n_dec(
+        '%d user comment rejected', '%d user comments rejected',
+        count($_POST['comments'])
         );
     }
@@ -149,5 +140,5 @@
     );
 
-  array_push($list, $row['id']);
+  $list[] = $row['id'];
 }
 
Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 25017)
+++ /trunk/admin/configuration.php	(revision 25018)
@@ -155,5 +155,5 @@
           if ( !count($_POST['order_by']) )
           {
-            array_push($page['errors'], l10n('No order field selected'));
+            $page['errors'][] = l10n('No order field selected');
           }
           else
@@ -180,5 +180,5 @@
         else
         {
-          array_push($page['errors'], l10n('No order field selected'));
+          $page['errors'][] = l10n('No order field selected');
         }
       }
@@ -208,5 +208,5 @@
            or $_POST['nb_comment_page'] > 50)
       {
-        array_push($page['errors'], l10n('The number of comments a page must be between 5 and 50 included.'));
+        $page['errors'][] = l10n('The number of comments a page must be between 5 and 50 included.');
       }
       foreach( $comments_checkboxes as $checkbox)
@@ -226,5 +226,5 @@
             or $_POST['nb_categories_page'] < 4)
       {
-        array_push($page['errors'], l10n('The number of albums a page must be above 4.'));
+        $page['errors'][] = l10n('The number of albums a page must be above 4.');
       }
       foreach( $display_checkboxes as $checkbox)
@@ -269,5 +269,5 @@
       }
     }
-    array_push($page['infos'], l10n('Information data registered in database'));
+    $page['infos'][] = l10n('Information data registered in database');
   }
 
@@ -283,8 +283,5 @@
   clear_derivative_cache();
 
-  array_push(
-    $page['infos'],
-    l10n('Your configuration settings are saved')
-    );
+  $page['infos'][] = l10n('Your configuration settings are saved');
 }
 
@@ -325,5 +322,5 @@
     if (order_by_is_local())
     {
-      array_push($page['warnings'], l10n('You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'));
+      $page['warnings'][] = l10n('You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !');
     }
 
@@ -401,5 +398,5 @@
       // Reload user
       $edit_user = build_user($conf['guest_id'], false);
-      array_push($page['infos'], l10n('Information data registered in database'));
+      $page['infos'][] = l10n('Information data registered in database');
     }
     $page['errors'] = array_merge($page['errors'], $errors);
Index: /trunk/admin/element_set_ranks.php
===================================================================
--- /trunk/admin/element_set_ranks.php	(revision 25017)
+++ /trunk/admin/element_set_ranks.php	(revision 25018)
@@ -65,11 +65,8 @@
   foreach ($images as $id)
   {
-    array_push(
-      $datas,
-      array(
-        'category_id' => $category_id,
-        'image_id' => $id,
-        'rank' => ++$current_rank,
-        )
+    $datas[] = array(
+      'category_id' => $category_id,
+      'image_id' => $id,
+      'rank' => ++$current_rank,
       );
   }
@@ -99,8 +96,5 @@
       );
 
-    array_push(
-      $page['infos'],
-      l10n('Images manual order was saved')
-      );
+    $page['infos'][] = l10n('Images manual order was saved');
   }
 
@@ -144,5 +138,5 @@
   }
 
-  array_push($page['infos'], l10n('Your configuration settings are saved'));
+  $page['infos'][] = l10n('Your configuration settings are saved');
 }
 
Index: /trunk/admin/extend_for_templates.php
===================================================================
--- /trunk/admin/extend_for_templates.php	(revision 25017)
+++ /trunk/admin/extend_for_templates.php	(revision 25018)
@@ -150,6 +150,5 @@
   if (pwg_query($query))
   {
-    array_push($page['infos'], 
-      l10n('Templates configuration has been recorded.'));
+    $page['infos'][] = l10n('Templates configuration has been recorded.');
   }
 }
Index: /trunk/admin/group_list.php
===================================================================
--- /trunk/admin/group_list.php	(revision 25017)
+++ /trunk/admin/group_list.php	(revision 25018)
@@ -46,5 +46,5 @@
   if (empty($_POST['groupname']))
   {
-    array_push($page['errors'], l10n('The name of a group must not contain " or \' or be empty.'));
+    $page['errors'][] = l10n('The name of a group must not contain " or \' or be empty.');
   }
   if (count($page['errors']) == 0)
@@ -59,5 +59,5 @@
     if ($count != 0)
     {
-      array_push($page['errors'], l10n('This name is already used by another group.'));
+      $page['errors'][] = l10n('This name is already used by another group.');
     }
   }
@@ -87,5 +87,5 @@
   if (count($groups) == 0)
   {
-    array_push($page['errors'], l10n('Select at least one group'));
+    $page['errors'][] = l10n('Select at least one group');
   }
 
@@ -170,5 +170,5 @@
     if ($count != 0)
     {
-      array_push($page['errors'], l10n('This name is already used by another group.'));
+      $page['errors'][] = l10n('This name is already used by another group.');
     }
     else
@@ -256,5 +256,5 @@
       if ($count != 0)
       {
-        array_push($page['errors'], l10n('This name is already used by another group.'));
+        $page['errors'][] = l10n('This name is already used by another group.');
         break;
       }
Index: /trunk/admin/group_perm.php
===================================================================
--- /trunk/admin/group_perm.php	(revision 25017)
+++ /trunk/admin/group_perm.php	(revision 25018)
@@ -82,5 +82,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($private_uppercats, $row['id']);
+    $private_uppercats[] = $row['id'];
   }
 
@@ -99,5 +99,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($authorized_ids, $row['cat_id']);
+    $authorized_ids[] = $row['cat_id'];
   }
 
@@ -106,10 +106,7 @@
   foreach ($to_autorize_ids as $to_autorize_id)
   {
-    array_push(
-      $inserts,
-      array(
-        'group_id' => $page['group'],
-        'cat_id' => $to_autorize_id
-        )
+    $inserts[] = array(
+      'group_id' => $page['group'],
+      'cat_id' => $to_autorize_id
       );
   }
@@ -159,5 +156,5 @@
 while ($row = pwg_db_fetch_assoc($result))
 {
-  array_push($authorized_ids, $row['id']);
+  $authorized_ids[] = $row['id'];
 }
 
Index: /trunk/admin/history.php
===================================================================
--- /trunk/admin/history.php	(revision 25017)
+++ /trunk/admin/history.php	(revision 25018)
@@ -165,5 +165,5 @@
   else
   {
-    array_push($page['errors'], l10n('Empty query. No criteria has been entered.'));
+    $page['errors'][] = l10n('Empty query. No criteria has been entered.');
   }
 }
Index: /trunk/admin/include/check_integrity.class.php
===================================================================
--- /trunk/admin/include/check_integrity.class.php	(revision 25017)
+++ /trunk/admin/include/check_integrity.class.php	(revision 25018)
@@ -72,7 +72,8 @@
     if (count($this->retrieve_list) > 0)
     {
-      $header_notes[] =
-        l10n_dec('%d anomaly has been detected.', '%d anomalies have been detected.',
-          count($this->retrieve_list));
+      $header_notes[] = l10n_dec(
+        '%d anomaly has been detected.', '%d anomalies have been detected.',
+        count($this->retrieve_list)
+        );
     }
 
@@ -117,13 +118,15 @@
       if ($corrected_count > 0)
       {
-        $page['infos'][] =
-          l10n_dec('%d anomaly has been corrected.', '%d anomalies have been detected corrected.',
-            $corrected_count);
+        $page['infos'][] = l10n_dec(
+          '%d anomaly has been corrected.', '%d anomalies have been detected corrected.',
+          $corrected_count
+          );
       }
       if ($not_corrected_count > 0)
       {
-        $page['errors'][] =
-          l10n_dec('%d anomaly has not been corrected.', '%d anomalies have not been corrected.',
-            $not_corrected_count);
+        $page['errors'][] = l10n_dec(
+          '%d anomaly has not been corrected.', '%d anomalies have not been corrected.',
+          $not_corrected_count
+          );
       }
     }
@@ -146,7 +149,8 @@
         if ($ignored_count > 0)
         {
-          $page['infos'][] =
-            l10n_dec('%d anomaly has been ignored.', '%d anomalies have been ignored.',
-              $ignored_count);
+          $page['infos'][] = l10n_dec(
+            '%d anomaly has been ignored.', '%d anomalies have been ignored.',
+            $ignored_count
+            );
         }
       }
Index: /trunk/admin/include/configuration_sizes_process.inc.php
===================================================================
--- /trunk/admin/include/configuration_sizes_process.inc.php	(revision 25017)
+++ /trunk/admin/include/configuration_sizes_process.inc.php	(revision 25018)
@@ -255,8 +255,5 @@
   }
 
-  array_push(
-    $page['infos'],
-    l10n('Your configuration settings are saved')
-    );
+  $page['infos'][] = l10n('Your configuration settings are saved');
 }
 else
Index: /trunk/admin/include/configuration_watermark_process.inc.php
===================================================================
--- /trunk/admin/include/configuration_watermark_process.inc.php	(revision 25017)
+++ /trunk/admin/include/configuration_watermark_process.inc.php	(revision 25018)
@@ -175,8 +175,5 @@
   }
 
-  array_push(
-    $page['infos'],
-    l10n('Your configuration settings are saved')
-    );
+  $page['infos'][] = l10n('Your configuration settings are saved');
 }
 else
Index: /trunk/admin/include/functions.php
===================================================================
--- /trunk/admin/include/functions.php	(revision 25017)
+++ /trunk/admin/include/functions.php	(revision 25018)
@@ -541,5 +541,5 @@
             and is_dir($path.'/'.$node))
         {
-          array_push($dirs, $path.'/'.$node);
+          $dirs[] = $path.'/'.$node;
           if ($recursive)
           {
@@ -748,10 +748,7 @@
     list($representative) = pwg_db_fetch_row(pwg_query($query));
 
-    array_push(
-      $datas,
-      array(
-        'id' => $category_id,
-        'representative_picture_id' => $representative,
-        )
+    $datas[] = array(
+      'id' => $category_id,
+      'representative_picture_id' => $representative,
       );
   }
@@ -863,13 +860,13 @@
             if (basename($path) == 'thumbnail')
             {
-              array_push($fs['thumbnails'], $path.'/'.$node);
+              $fs['thumbnails'][] = $path.'/'.$node;
             }
             else if (basename($path) == 'pwg_representative')
             {
-              array_push($fs['representatives'], $path.'/'.$node);
+              $fs['representatives'][] = $path.'/'.$node;
             }
             else
             {
-              array_push($fs['elements'], $path.'/'.$node);
+              $fs['elements'][] = $path.'/'.$node;
             }
           }
@@ -877,10 +874,10 @@
           else if (isset($conf['flip_file_ext'][$extension]))
           {
-            array_push($fs['elements'], $path.'/'.$node);
+            $fs['elements'][] = $path.'/'.$node;
           }
         }
         else if (is_dir($path.'/'.$node) and $node != 'pwg_high' and $recursive)
         {
-          array_push($subdirs, $node);
+          $subdirs[] = $node;
         }
       }
@@ -996,5 +993,5 @@
     while ($uppercat)
     {
-      array_push($upper_list, $uppercat);
+      $upper_list[] = $uppercat;
       $uppercat = $cat_map[$uppercat]['id_uppercat'];
     }
@@ -1003,10 +1000,7 @@
     if ($new_uppercats != $cat['uppercats'])
     {
-      array_push(
-        $datas,
-        array(
-          'id' => $id,
-          'uppercats' => $new_uppercats
-          )
+      $datas[] = array(
+        'id' => $id,
+        'uppercats' => $new_uppercats
         );
     }
@@ -1096,8 +1090,5 @@
       if (preg_match('/^'.$category['uppercats'].'(,|$)/', $new_parent_uppercats))
       {
-        array_push(
-          $page['errors'],
-          l10n('You cannot move an album in its own sub album')
-          );
+        $page['errors'][] = l10n('You cannot move an album in its own sub album');
         return;
       }
@@ -1178,10 +1169,7 @@
   }
 
-  array_push(
-    $page['infos'],
-    l10n_dec(
-      '%d album moved', '%d albums moved',
-      count($categories)
-      )
+  $page['infos'][] = l10n_dec(
+    '%d album moved', '%d albums moved',
+    count($categories)
     );
 }
@@ -1308,10 +1296,7 @@
     foreach ($granted_grps as $granted_grp)
     {
-      array_push(
-        $inserts,
-        array(
-          'group_id' => $granted_grp,
-          'cat_id' => $inserted_id
-          )
+      $inserts[] = array(
+        'group_id' => $granted_grp,
+        'cat_id' => $inserted_id
         );
     }
@@ -1587,11 +1572,8 @@
         $rank = ++$current_rank_of[$category_id];
 
-        array_push(
-          $inserts,
-          array(
-            'image_id' => $image_id,
-            'category_id' => $category_id,
-            'rank' => $rank,
-            )
+        $inserts[] = array(
+          'image_id' => $image_id,
+          'category_id' => $category_id,
+          'rank' => $rank,
           );
       }
@@ -2316,5 +2298,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($granteds[$row['cat_id']], $row['user_id']);
+    $granteds[ $row['cat_id'] ][] = $row['user_id'];
   }
 
@@ -2327,10 +2309,7 @@
     foreach ($grant_to_users as $user_id)
     {
-      array_push(
-        $inserts,
-        array(
-          'user_id' => $user_id,
-          'cat_id' => $cat_id
-          )
+      $inserts[] = array(
+        'user_id' => $user_id,
+        'cat_id' => $cat_id
         );
     }
@@ -2514,5 +2493,5 @@
           and $file != '.svn')
       {
-        array_push($sub_dirs, $file);
+        $sub_dirs[] = $file;
       }
     }
Index: /trunk/admin/include/functions_history.inc.php
===================================================================
--- /trunk/admin/include/functions_history.inc.php	(revision 25017)
+++ /trunk/admin/include/functions_history.inc.php	(revision 25018)
@@ -59,16 +59,10 @@
   if (isset($search['fields']['date-after']))
   {
-    array_push(
-      $clauses,
-      "date >= '".$search['fields']['date-after']."'"
-      );
+    $clauses[] = "date >= '".$search['fields']['date-after']."'";
   }
 
   if (isset($search['fields']['date-before']))
   {
-    array_push(
-      $clauses,
-      "date <= '".$search['fields']['date-before']."'"
-      );
+    $clauses[] = "date <= '".$search['fields']['date-before']."'";
   }
 
@@ -89,5 +83,5 @@
         }
         
-        array_push($local_clauses, $clause);
+        $local_clauses[] = $clause;
       }
     }
@@ -95,8 +89,5 @@
     if (count($local_clauses) > 0)
     {
-      array_push(
-        $clauses,
-        implode(' OR ', $local_clauses)
-        );
+      $clauses[] = implode(' OR ', $local_clauses);
     }
   }
@@ -105,16 +96,10 @@
       and $search['fields']['user'] != -1)
   {
-    array_push(
-      $clauses,
-      'user_id = '.$search['fields']['user']
-      );
+    $clauses[] = 'user_id = '.$search['fields']['user'];
   }
 
   if (isset($search['fields']['image_id']))
   {
-    array_push(
-      $clauses,
-      'image_id = '.$search['fields']['image_id']
-      );
+    $clauses[] = 'image_id = '.$search['fields']['image_id'];
   }
   
@@ -124,12 +109,9 @@
     {
       // a clause that is always false
-      array_push($clauses, '1 = 2 ');
+      $clauses[] = '1 = 2 ';
     }
     else
     {
-      array_push(
-        $clauses,
-        'image_id IN ('.implode(', ', $search['image_ids']).')'
-        );
+      $clauses[] = 'image_id IN ('.implode(', ', $search['image_ids']).')';
     }
   }
@@ -169,5 +151,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($data, $row);
+    $data[] = $row;
   }
 
Index: /trunk/admin/include/functions_install.inc.php
===================================================================
--- /trunk/admin/include/functions_install.inc.php	(revision 25017)
+++ /trunk/admin/include/functions_install.inc.php	(revision 25018)
@@ -97,5 +97,5 @@
   catch (Exception $e)
   {
-    array_push( $errors, l10n($e->getMessage()));
+    $errors[] = l10n($e->getMessage());
   }
 }
Index: /trunk/admin/include/functions_metadata.php
===================================================================
--- /trunk/admin/include/functions_metadata.php	(revision 25017)
+++ /trunk/admin/include/functions_metadata.php	(revision 25018)
@@ -220,8 +220,5 @@
         foreach (explode(',', $data[$key]) as $tag_name)
         {
-          array_push(
-            $tags_of[$id],
-            tag_id_from_tag_name($tag_name)
-            );
+          $tags_of[$id][] = tag_id_from_tag_name($tag_name);
         }
       }
@@ -230,5 +227,5 @@
     $data['date_metadata_update'] = CURRENT_DATE;
 
-    array_push($datas, $data);
+    $datas[] = $data;
   }
 
@@ -236,5 +233,5 @@
   {
     $update_fields = get_sync_metadata_attributes();
-    array_push($update_fields, 'date_metadata_update');
+    $update_fields[] = 'date_metadata_update';
 
     $update_fields = array_diff(
@@ -298,5 +295,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($cat_ids, $row['id']);
+    $cat_ids[] = $row['id'];
   }
 
